<?php
include 'mysql.php';
include_once("inclydings/antixss.php");
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
if (isset($user)) {
switch($go) {
default:
if(!@file("local/santa/$log.dat")){
echo"- Вы не учасник <b>Нашего</b> эвента<br/>
- Вы можете принять участие <a href=\"ev.php?$sd&go=reg\">здесь</a><br/>
- <a href=\"ev.php?$sd&go=prav\">Правила эвента</a><br/>";}else{


{
$data=explode(":||:",$file2[$i2]);
if($data[21]=="Smith Rock"){
$_GLOBAL[kol]=$data[3];
$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);
}}



echo"-Здраствуй <font color=blue> $user</font> ! Я потерял свои Smith Rock,помоги мне их найти,и я тебе дам уникальное оружие:<br/>Смотрите<br/>";
echo"- У вас Smith Rock: $data[3] <br/>
- Нужно Smith Rock: 100<br/>
- <a href=\"ev.php?$sd&go=prav\">Правила эвента</a><br/>
- <img src=\"pik4erspic/weapon/LEGEND SWORD.gif\" height=32 width=32 alt=\"pic\"/><a href=\"ev.php?$sd&go=go\">Обменять на LEGEND SWORD</a><br/>";}
break;
case 'reg':
if(!@file("local/santa/$log.dat")){
$text="0:||:";
$fp=fopen("local/santa/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("local/santa/$log.dat", 0666);
echo"- Вы успешно подали заявку на эвент<br/>
- <a href=\"ev.php?$sd\">Продолжить</a><br/>";}else{
echo"- Вы уже принимаете участь в эвенте<br/>
- <a href=\"ev.php?$sd\">Продолжить</a><br/>";}
break;
case 'prav':
echo"- Что б получить <b>LEGEND SWORD</b> нужно набить 100 Smith Rock, их можно добыть в пeщере ресурсов, в любом городе.<br/>
- <a href=\"ev.php?$sd\">Вернутся</a><br/>";
break;
case 'go':
if(!@file("local/santa/$log.dat")){echo"- Вы не участвуете в эвенте"; include "inclydings/down.php"; exit;}
$text = @file("local/santa/$log.dat");

if($data[4]<"100"){echo"- Вы несобрали нужное количество ресурсов у вас $data[3] Smith Rock"; include "inclydings/down.php"; exit;}else{
$text2="8000:||:1000000:||:weapon:||:NG:||:LEGEND SWORD:||:";
$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink("local/santa/$log.dat");
echo"- Вы успешно получили <b>LEGEND SWORD</b>";}
break;
}}else{echo"<small>Пароль или логин неверен!</small>";}
include 'inclydings/down.php';
?>